Subject: Re: Problems compiling rsync with latest update
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 19 Sep 2001 14:56:26 +0200

Corinna Vinschen schrieb am 2001-09-19, 9:30:

>On Tue, Sep 18, 2001 at 06:49:26PM -0400, Christopher Faylor wrote:
>> On Wed, Sep 19, 2001 at 12:38:45AM +0200, Gerrit P. Haase wrote:
>> >I found no ChangeLog entries which refer to a change
>> >in <unistd.h>. Is it recorded somewhere else?
>> 
>> 2001-09-05  Corinna Vinschen  <[email-masked]>
>> 
>>         * libc/sys/cygwin/include/unistd.h: New file, wrapping
>>         sys/unistd.h and getopt.h.
>
>And from the Cygwin-1.3.3 announcement:
>
>- getopt.h is now automatically included with unistd.h to fulfil
>  SUSv2 requirements. (Corinna Vinschen)
>
>Corinna

Uiuiui, I should be more concentrated when reading...
I apologize for the williwaw.

However, I think this is an unneccessary change, and I don't like it.
I have commented out this part of unistd.h.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/